// definition file for stdinr.cc, (c) Pawel Jalocha

// set the standard input in "raw" mode so we can read char by char
int StdinSetRaw(void);
// OK => return 0; problems => return -1;

// check if STDIN ir ready for read
// StdinReady() works as well without calling StdinSetRaw()
// but then it returns 1 only after the user presses RETURN
int StdinReady(void);
// STDIN has got something => 1, nothing to read from STDIN => 0,
//   problems => -1

// read a character from standard input, returns zero if input is empty
int StdinRead(void);
// empty => return 0; key pressed => return key; problems => return -1;

// restore standard input to state as before StdinSetRaw()
int StdinRestore(void);
// for now it always returns 0













